using System;

namespace NamestanjeGlasanja
{
    class Program
    {
        static int[] GenerisiNiz(int n)
        {
            string[] input = Console.ReadLine().Split();
            int[] niz = new int[n];

            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(input[i]);
            }
            return niz;
        }

        static int NamestajGlas(int[]glasovi, int zeljenaMedijana)
        {
            int brojNovihGlasova = 0;
            while (glasovi[glasovi.Length / 2] != zeljenaMedijana)
            {
                glasovi = DodajGlas(glasovi, zeljenaMedijana);
                brojNovihGlasova++;
            }

            return brojNovihGlasova;
        }

        static int[] DodajGlas(int[]glasovi, int noviGlas)
        {
            int[] noviGlasovi = new int[glasovi.Length + 1];

            for(int i = 0; i < glasovi.Length; i++)
            {
                noviGlasovi[i] = glasovi[i];
            }

            noviGlasovi[glasovi.Length] = noviGlas;
            Array.Sort(noviGlasovi);

            return noviGlasovi;
        }

        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();

            int n = int.Parse(input[0]);
            int q = int.Parse(input[1]);

            int[] a = GenerisiNiz(n);
            int[] b = GenerisiNiz(q);

            for(int i = 0; i < q; i++)
            {
                Console.WriteLine(NamestajGlas(a, b[i]));
            }
        }
    }
}